<%@ page contentType="text/html;charset=UTF-8" language="java"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>DirectApi JSP NVP Example</title>
</head>
<body>
<%@include file="/connection.jsp"%>

<%
    Merchant merchant = new Merchant(configuration);
    String version = request.getParameter("version");
    merchant.setVersion(version);
    Connection connection = new Connection(merchant);
    Parser parser = new Parser(merchant);
    // forms the requestUrl and assigns it to the merchantObj gatewayUrl member
    // returns what was assigned to the gatewayUrl member for echoing if in debug mode
    String requestUrl = parser.formRequestUrl();

    if (merchant.debugMode()) {
        out.print(requestUrl + " <br/> <br/>");
    }

    PostMethod postMethod = parser.parse(request);
    String resp = connection.sendTransaction(postMethod);
    if (merchant.debugMode()) {
        out.print("Response  : " + resp + " <br/> <br/>");
    }
%>
<%@include file="/receipt.jsp"%>
</body>
</html>